%define module_name CPAN-Mini-Inject
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Checksums.pm) perl(CPAN/Mini.pm) perl(Carp.pm) perl(Compress/Zlib.pm) perl(Dist/Metadata.pm) perl(Env.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(HTTP/Server/Simple.pm) perl(IO/Zlib.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/EmptyPort.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.35
Release: alt1
Summary: Inject modules into a CPAN::Mini mirror.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MITHALDU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CPAN::Mini::Inject uses CPAN::Mini to build or update a local CPAN mirror
then adds modules from your repository to it, allowing the inclusion
of private modules in a minimal CPAN mirror.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.35-alt1
- regenerated from template by package builder

* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1
- initial import by package builder

